Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.v2
Class ReplyGeneratorMessages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.bpel.compiler.api.CompilationMessageBundle
                  org.apache.ode.bpel.compiler.v2.ReplyGeneratorMessages

    public class ReplyGeneratorMessages

extends CompilationMessageBundle

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`ReplyGeneratorMessages()`

Method Summary
`CompilationMessage` | `errOutputVariableMustBeSpecified()` The <reply> must specify a reply message.
`CompilationMessage` | `errUndeclaredFault(java.lang.String faultName, java.lang.String operationName)` The <reply> activity has an undeclared fault "{0}" for operation "{1}".

Methods inherited from class org.apache.ode.bpel.compiler.api.CompilationMessageBundle
`formatCompilationMessage`

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplyGeneratorMessages

    public ReplyGeneratorMessages()

Method Detail

### errOutputVariableMustBeSpecified

    public CompilationMessage errOutputVariableMustBeSpecified()

  The <reply> must specify a reply message.

### errUndeclaredFault

    public CompilationMessage errUndeclaredFault(java.lang.String faultName,
                                                 java.lang.String operationName)

  The <reply> activity has an undeclared fault "{0}" for operation "{1}".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD